;; Helper procedures imported from the tinyclos egg and adapted.
(define (initialize-slots object initargs)
  (##sys#check-list initargs 'initialize-slots)
  (for-each
   (lambda (slot)
     (let* ([name   (car slot)]
            [value  (getl initargs name 'tinyclos-not-found-object)] )
       (unless (eq? value 'tinyclos-not-found-object)
         (slot-set! object name value))))
   (class-slots (class-of object))) )
